org.apache.tinkerpop.gremlin.driver.ser

## Class GraphBinaryMessageSerializerV1

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer
  - - org.apache.tinkerpop.gremlin.driver.ser.GraphBinaryMessageSerializerV1

- All Implemented Interfaces:
    MessageSerializer

      public class GraphBinaryMessageSerializerV1
      extends AbstractMessageSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TOKEN_BUILDER`
    `static String` | `TOKEN_CUSTOM`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphBinaryMessageSerializerV1()` Creates a new instance of the message serializer using the default type serializers.
    `GraphBinaryMessageSerializerV1(TypeSerializerRegistry.Builder builder)`
    `GraphBinaryMessageSerializerV1(TypeSerializerRegistry registry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Map<String,Object> config, Map<String,Graph> graphs)` Configure the serializer with mapper settings as required.
    `RequestMessage` | `deserializeRequest(ByteBuf msg)` Deserialize a Netty `ByteBuf` into a `RequestMessage`.
    `ResponseMessage` | `deserializeResponse(ByteBuf msg)` Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
    `String[]` | `mimeTypesSupported()` The list of mime types that the serializer supports.
    `ByteBuf` | `serializeRequestAsBinary(RequestMessage requestMessage, ByteBufAllocator allocator)` Serialize a `ResponseMessage` to a Netty `ByteBuf`.
    `ByteBuf` | `serializeResponseAsBinary(ResponseMessage responseMessage, ByteBufAllocator allocator)` Serialize a `ResponseMessage` to a Netty `ByteBuf`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOKEN_CUSTOM

          public static final String TOKEN_CUSTOM

      See Also:
        Constant Field Values

    - #### TOKEN_BUILDER

          public static final String TOKEN_BUILDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphBinaryMessageSerializerV1

          public GraphBinaryMessageSerializerV1()

      Creates a new instance of the message serializer using the default type serializers.

    - #### GraphBinaryMessageSerializerV1

          public GraphBinaryMessageSerializerV1(TypeSerializerRegistry registry)

    - #### GraphBinaryMessageSerializerV1

          public GraphBinaryMessageSerializerV1(TypeSerializerRegistry.Builder builder)

  - ### Method Detail

    - #### configure

          public void configure(Map<String,Object> config,
                                Map<String,Graph> graphs)

      Description copied from interface: `MessageSerializer`
      Configure the serializer with mapper settings as required. The default implementation does not perform any function and it is up to the interface implementation to determine how the configuration will be executed and what its requirements are. An implementation may choose to use the list of available graphs to help initialize a serializer. The implementation should account for the possibility of a null value being provided for that parameter.

    - #### serializeResponseAsBinary

          public ByteBuf serializeResponseAsBinary(ResponseMessage responseMessage,
                                                   ByteBufAllocator allocator)
                                            throws SerializationException

      Description copied from interface: `MessageSerializer`
      Serialize a `ResponseMessage` to a Netty `ByteBuf`.
      Parameters:
        `responseMessage` - The response message to serialize to bytes.
        `allocator` - The Netty allocator for the `ByteBuf` to return back.
      Throws:
        `SerializationException`

    - #### serializeRequestAsBinary

          public ByteBuf serializeRequestAsBinary(RequestMessage requestMessage,
                                                  ByteBufAllocator allocator)
                                           throws SerializationException

      Description copied from interface: `MessageSerializer`
      Serialize a `ResponseMessage` to a Netty `ByteBuf`.
      Parameters:
        `requestMessage` - The request message to serialize to bytes.
        `allocator` - The Netty allocator for the `ByteBuf` to return back.
      Throws:
        `SerializationException`

    - #### deserializeRequest

          public RequestMessage deserializeRequest(ByteBuf msg)
                                            throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `RequestMessage`.
      Throws:
        `SerializationException`

    - #### deserializeResponse

          public ResponseMessage deserializeResponse(ByteBuf msg)
                                              throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
      Throws:
        `SerializationException`

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.